local modUtil = require "merk_modutil_2_1"

local options_traxx_1 = {		
	traxx_1_vp = { type = "boolean", default = true, order = 1, name = _("Traxx 1 vorderer Pantograph"), description = _("option_traxx_1_vp_desc"), image = "res/textures/ui/models_small/vehicle/train/traxx_1_vp/br_185_captrain_2_vp@2x.tga" },
	traxx_1_ch = { type = "boolean", default = true, order = 2, name = _("Traxx 1 schweizer Pantograph"), description = _("option_traxx_1_ch_desc"), image = "res/textures/ui/models_small/vehicle/train/traxx_1_ch/br_185_db_2_ch@2x.tga" },	
	traxx_1_fake = { type = "boolean", default = true, order = 3, name = _("Traxx 1 Fake"), description = _("option_traxx_1_fake_desc"), image = "res/textures/ui/models_small/vehicle/train/traxx_1_fake/br_146_1_db_pu_fake@2x.tga" },	
}


function data()
return {
	info = {
		minorVersion = 1,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Bombardier Traxx 1"),
		description = _("info_traxx_1_desc"),
		tags = { "Europe", "Locomotive", },
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,
			},
			{
				name = "Yoshi",
				role = "CO_CREATOR",
				text = "lights",
				tfnetId = 21340,
			},
		},
		tfnetId = 0,                 															-- optional, transportfever.net id
		steamId = 1950682036,             															-- optional, steam workshop id
		url = "https://modwerkstatt.com/downloads/br-146-1-185-traxx-1/", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	settings = options_traxx_1,
	runFn = function(settings)
		modUtil.initialize("kaleut_traxx_1", options_traxx_1, files)		
		local settings = modUtil.userSettings.get("kaleut_traxx_1")
		
		if not settings.traxx_1_vp then
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/br_185_captrain_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/br_185_captrain_2_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/br_185_db_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/br_185_db_2_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/br_185_db_3_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/br_185_railion_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/re_482_sbb_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/re_482_sbb_2_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/re_485_bls_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/re_485_bls_2_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp/re_485_bls_3_vp.mdl")
			
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_captrain_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_captrain_2_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_db_2_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_db_3_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_railion_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_482_sbb_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_482_sbb_2_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_485_bls_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_485_bls_2_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_485_bls_3_ch_vp.mdl")
		end	
		
		if not settings.traxx_1_ch then			
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/br_185_captrain_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/br_185_captrain_2_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/br_185_db_2_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/br_185_db_3_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/br_185_railion_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/re_482_sbb_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/re_482_sbb_2_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/re_485_bls_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/re_485_bls_2_ch.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_ch/re_485_bls_3_ch.mdl")
			
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_captrain_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_captrain_2_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_db_2_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_db_3_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/br_185_railion_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_482_sbb_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_482_sbb_2_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_485_bls_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_485_bls_2_ch_vp.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_vp_ch/re_485_bls_3_ch_vp.mdl")
		end	
		
		if not settings.traxx_1_fake then	
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/br_146_1_db_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/br_146_1_metronom_pu_fake.mdl")
			
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/br_185_captrain_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/br_185_captrain_2_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/br_185_db_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/br_185_db_2_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/br_185_db_3_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/br_185_railion_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/re_482_sbb_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/re_482_sbb_2_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/re_485_bls_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/re_485_bls_2_pu_fake.mdl")
			modUtil.models.hideObject("vehicle/train/traxx_1_fake/re_485_bls_3_pu_fake.mdl")
		end	
	
	end
}
end
